curl --request POST \
--url https://api.aisa.one/apis/v1/keepa/sellerquery \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"activeOnly": false
}
'{
"tokensConsumed": 1,
"error": {},
"refillIn": 123,
"refillRate": 123,
"sellerIdList": [
"<string>"
],
"tokenFlowReduction": 123,
"tokensLeft": 123,
"totalResults": 1
}Keepa
Keepa Seller Finder
Keepa Seller Finder. Token usage is settled from the response using the account’s immutable rate.
POST
https://api.aisa.one
/
apis
/
v1
/
keepa
/
sellerquery
curl --request POST \
--url https://api.aisa.one/apis/v1/keepa/sellerquery \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"activeOnly": false
}
'{
"tokensConsumed": 1,
"error": {},
"refillIn": 123,
"refillRate": 123,
"sellerIdList": [
"<string>"
],
"tokenFlowReduction": 123,
"tokensLeft": 123,
"totalResults": 1
}Request contract
- Method and path: POST /apis/v1/keepa/sellerquery
- Availability: enabled
- Request URL template:
https://api.aisa.one/apis/v1/keepa/sellerquery - domain: query; required
- Runtime facts: 0bc51a4801a2062613b38952cd78afdcee61c1d5eb0d536a8aa7e307f9bd9a12
{
"operationId": "post_keepa_apis_v1_keepa_sellerquery",
"method": "POST",
"path": "/apis/v1/keepa/sellerquery",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"examples": {
"default": {
"value": "1"
},
"minimal": {
"value": "1"
}
},
"in": "query",
"name": "domain",
"required": true,
"schema": {
"enum": [
"1",
"10",
"11",
"12",
"2",
"3",
"4",
"5",
"6",
"8",
"9"
],
"type": "string"
}
}
],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"content": {
"application/json": {
"examples": {
"default": {
"value": {
"activeOnly": false,
"page": 0,
"perPage": 50
}
},
"minimal": {
"value": {
"activeOnly": false
}
}
},
"schema": {
"additionalProperties": false,
"allOf": [
{
"anyOf": [
{
"properties": {
"activeOnly": {}
},
"required": [
"activeOnly"
]
},
{
"properties": {
"address": {}
},
"required": [
"address"
]
},
{
"properties": {
"addressCountry": {}
},
"required": [
"addressCountry"
]
},
{
"properties": {
"businessName": {}
},
"required": [
"businessName"
]
},
{
"properties": {
"businessType": {}
},
"required": [
"businessType"
]
},
{
"properties": {
"currentRating_gte": {}
},
"required": [
"currentRating_gte"
]
},
{
"properties": {
"currentRating_lte": {}
},
"required": [
"currentRating_lte"
]
},
{
"properties": {
"currentRatingCount_gte": {}
},
"required": [
"currentRatingCount_gte"
]
},
{
"properties": {
"currentRatingCount_lte": {}
},
"required": [
"currentRatingCount_lte"
]
},
{
"properties": {
"customerServicesAddressCountry": {}
},
"required": [
"customerServicesAddressCountry"
]
},
{
"properties": {
"hasBusinessDetails": {}
},
"required": [
"hasBusinessDetails"
]
},
{
"properties": {
"hasFBA": {}
},
"required": [
"hasFBA"
]
},
{
"properties": {
"isAmazon": {}
},
"required": [
"isAmazon"
]
},
{
"properties": {
"isNotFound": {}
},
"required": [
"isNotFound"
]
},
{
"properties": {
"ratingCount30_gte": {}
},
"required": [
"ratingCount30_gte"
]
},
{
"properties": {
"ratingCount30_lte": {}
},
"required": [
"ratingCount30_lte"
]
},
{
"properties": {
"ratingCount365_gte": {}
},
"required": [
"ratingCount365_gte"
]
},
{
"properties": {
"ratingCount365_lte": {}
},
"required": [
"ratingCount365_lte"
]
},
{
"properties": {
"ratingCount90_gte": {}
},
"required": [
"ratingCount90_gte"
]
},
{
"properties": {
"ratingCount90_lte": {}
},
"required": [
"ratingCount90_lte"
]
},
{
"properties": {
"search": {}
},
"required": [
"search"
]
},
{
"properties": {
"sellerId": {}
},
"required": [
"sellerId"
]
},
{
"properties": {
"sellerName": {}
},
"required": [
"sellerName"
]
},
{
"properties": {
"totalStorefrontAsins_gte": {}
},
"required": [
"totalStorefrontAsins_gte"
]
},
{
"properties": {
"totalStorefrontAsins_lte": {}
},
"required": [
"totalStorefrontAsins_lte"
]
}
]
}
],
"properties": {
"activeOnly": {
"type": "boolean"
},
"address": {
"maxLength": 500,
"type": "string"
},
"addressCountry": {
"items": {
"maxLength": 500,
"minLength": 1,
"type": "string"
},
"maxItems": 50,
"minItems": 1,
"type": "array"
},
"businessName": {
"maxLength": 500,
"type": "string"
},
"businessType": {
"items": {
"maxLength": 500,
"minLength": 1,
"type": "string"
},
"maxItems": 50,
"minItems": 1,
"type": "array"
},
"currentRatingCount_gte": {
"maximum": 2147483647,
"minimum": 0,
"type": "integer"
},
"currentRatingCount_lte": {
"maximum": 2147483647,
"minimum": 0,
"type": "integer"
},
"currentRating_gte": {
"maximum": 2147483647,
"minimum": 0,
"type": "integer"
},
"currentRating_lte": {
"maximum": 2147483647,
"minimum": 0,
"type": "integer"
},
"customerServicesAddressCountry": {
"items": {
"maxLength": 500,
"minLength": 1,
"type": "string"
},
"maxItems": 50,
"minItems": 1,
"type": "array"
},
"hasBusinessDetails": {
"type": "boolean"
},
"hasFBA": {
"type": "boolean"
},
"isAmazon": {
"type": "boolean"
},
"isNotFound": {
"type": "boolean"
},
"page": {
"default": 0,
"maximum": 199,
"minimum": 0,
"type": "integer"
},
"perPage": {
"default": 50,
"maximum": 10000,
"minimum": 50,
"type": "integer"
},
"ratingCount30_gte": {
"maximum": 2147483647,
"minimum": 0,
"type": "integer"
},
"ratingCount30_lte": {
"maximum": 2147483647,
"minimum": 0,
"type": "integer"
},
"ratingCount365_gte": {
"maximum": 2147483647,
"minimum": 0,
"type": "integer"
},
"ratingCount365_lte": {
"maximum": 2147483647,
"minimum": 0,
"type": "integer"
},
"ratingCount90_gte": {
"maximum": 2147483647,
"minimum": 0,
"type": "integer"
},
"ratingCount90_lte": {
"maximum": 2147483647,
"minimum": 0,
"type": "integer"
},
"search": {
"maxLength": 500,
"type": "string"
},
"sellerId": {
"items": {
"maxLength": 500,
"minLength": 1,
"type": "string"
},
"maxItems": 50,
"minItems": 1,
"type": "array"
},
"sellerName": {
"maxLength": 500,
"type": "string"
},
"sort": {
"items": {
"items": {
"maxLength": 100,
"minLength": 1,
"type": "string"
},
"maxItems": 2,
"minItems": 2,
"type": "array"
},
"maxItems": 3,
"minItems": 1,
"type": "array"
},
"totalStorefrontAsins_gte": {
"maximum": 2147483647,
"minimum": 0,
"type": "integer"
},
"totalStorefrontAsins_lte": {
"maximum": 2147483647,
"minimum": 0,
"type": "integer"
}
},
"type": "object"
}
}
},
"required": true
},
"x-aisa-status": "enabled",
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Usage-based pricing. Default request estimate: $0.000696 USD. The final charge depends on actual usage. Your account price may differ; use a request quote where supported.Authorizations
Body
application/json
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
- Option 19
- Option 20
- Option 21
- Option 22
- Option 23
- Option 24
- Option 25
Response
Native Keepa Seller Finder response. Result availability and errors follow the provider envelope.